# Interface Scaling.RangeScaling

All Superinterfaces:
  `Scaling`

Enclosing interface:
  `Scaling`

public static interface Scaling.RangeScaling extends Scaling
Interface for Scaling instances that can create Scalers from a lower and upper bound.

Since:
  22 Jan 2015
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from interface Scaling

`Scaling.HistogramScaling, Scaling.RangeScaling`

## Field Summary

### Fields inherited from interface Scaling

`ACOS, ASINH, AUTO, COS, HISTO, HISTOLOG, LINEAR, LOG, SQRT, SQUARE, STRETCHES`

## Method Summary

Modifier and Type
Method
Description
`Scaler`
`createScaler(double lo, double hi)`
Returns a scaler instance that can scale input values in a given range.

### Methods inherited from interface Scaling

`getDescription, getName, isLogLike`

## Method Details

### createScaler

Scaler createScaler(double lo, double hi)
Returns a scaler instance that can scale input values in a given range. The given bounds define the range of input values that will be mapped to the fixed (0..1) output range. Input values outside that range will in general result in clipping, so for the returned scaler `s`:

       s.scaleValue(x) == s.scaleValue(lo) for x<lo
       s.scaleValue(x) == s.scaleValue(hi) for x>hi

Parameters:
  `lo` - lower bound of unclipped input data value
  `hi` - upper bound of unclipped input data value
Returns:
  instance